Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.core.services.label
Interface EMFFormsLabelProvider

All Known Implementing Classes:
  EMFFormsLabelProviderDefaultImpl, EMFFormsLabelProviderImpl

    public interface EMFFormsLabelProvider

The `EMFFormsLabelProvider` offers methods to get the display name and the description for a model object referenced by a `VDomainModelReference` as an IObservableValue. The reference can optionally be complemented by an `EObject` which is the root object of the `VDomainModelReference`. This enables to get the texts for a concrete instance.

Author:
  Eugen Neufeld

Method Summary
`org.eclipse.core.databinding.observable.value.IObservableValue` | `getDescription(VDomainModelReference domainModelReference)` Returns the description of the referenced domain object.
`org.eclipse.core.databinding.observable.value.IObservableValue` | `getDescription(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject)` Returns the description of the referenced domain object resolved for the given root `EObject`.
`org.eclipse.core.databinding.observable.value.IObservableValue` | `getDisplayName(VDomainModelReference domainModelReference)` Returns the display name of the referenced domain object.
`org.eclipse.core.databinding.observable.value.IObservableValue` | `getDisplayName(VDomainModelReference domainModelReference, org.eclipse.emf.ecore.EObject rootObject)` Returns the display name of the referenced domain object resolved for the given root `EObject`.

Method Detail

### getDisplayName

    org.eclipse.core.databinding.observable.value.IObservableValue getDisplayName(VDomainModelReference domainModelReference)
                                                                                  throws NoLabelFoundException

  Returns the display name of the referenced domain object.

  Parameters:
    `domainModelReference` - The `VDomainModelReference` referencing the domain object
  Returns:
    The display name as an `IObservableValue`
  Throws:
    `NoLabelFoundException` - if the display name cannot be retrieved

### getDisplayName

    org.eclipse.core.databinding.observable.value.IObservableValue getDisplayName(VDomainModelReference domainModelReference,
                                                                                  org.eclipse.emf.ecore.EObject rootObject)
                                                                                  throws NoLabelFoundException

  Returns the display name of the referenced domain object resolved for the given root `EObject`.

  Parameters:
    `domainModelReference` - The `VDomainModelReference` referencing the domain object
    `rootObject` - The root `EObject` which is used to resolve the given `VDomainModelReference`
  Returns:
    The display name as an `IObservableValue`
  Throws:
    `NoLabelFoundException` - if the display name cannot be retrieved

### getDescription

    org.eclipse.core.databinding.observable.value.IObservableValue getDescription(VDomainModelReference domainModelReference)
                                                                                  throws NoLabelFoundException

  Returns the description of the referenced domain object.

  Parameters:
    `domainModelReference` - The `VDomainModelReference` referencing the model object
  Returns:
    The description as an `IObservableValue`
  Throws:
    `NoLabelFoundException` - if the description cannot be retrieved

### getDescription

    org.eclipse.core.databinding.observable.value.IObservableValue getDescription(VDomainModelReference domainModelReference,
                                                                                  org.eclipse.emf.ecore.EObject rootObject)
                                                                                  throws NoLabelFoundException

  Returns the description of the referenced domain object resolved for the given root `EObject`.

  Parameters:
    `domainModelReference` - The `VDomainModelReference` referencing the model object
    `rootObject` - The root `EObject` which is used to resolve the given `VDomainModelReference`
  Returns:
    The description as an `IObservableValue`
  Throws:
    `NoLabelFoundException` - if the description cannot be retrieved

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.